org.swixml.converters

## Interface InputEvent

- All Known Implementing Classes:
    PrimitiveConverter

      public interface InputEvent

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALT_DOWN_MASK` The ALT key extended modifier constant.
    `static int` | `ALT_GRAPH_DOWN_MASK` The alt-graph key extended modifier constant.
    `static int` | `ALT_GRAPH_MASK` The alt-graph key modifier constant.
    `static int` | `ALT_MASK` The alt key modifier constant.
    `static int` | `BUTTON1_DOWN_MASK` The mouse button1 extended modifier constant.
    `static int` | `BUTTON1_MASK` The mouse button1 modifier constant.
    `static int` | `BUTTON2_DOWN_MASK` The mouse button2 extended modifier constant.
    `static int` | `BUTTON2_MASK` The mouse button2 modifier constant.
    `static int` | `BUTTON3_DOWN_MASK` The mouse button3 extended modifier constant.
    `static int` | `BUTTON3_MASK` The mouse button3 modifier constant.
    `static int` | `CTRL_DOWN_MASK` The CTRL key extended modifier constant.
    `static int` | `CTRL_MASK` The control key modifier constant.
    `static int` | `JDK_1_3_MODIFIERS`
    `static int` | `META_DOWN_MASK` The META key extended modifier constant.
    `static int` | `META_MASK` The meta key modifier constant.
    `static int` | `SHIFT_DOWN_MASK` The SHIFT key extended modifier constant.
    `static int` | `SHIFT_MASK` The shift key modifier constant.

- - ### Field Detail

    - #### SHIFT_MASK

          static final int SHIFT_MASK

      The shift key modifier constant. It is recommended that SHIFT_DOWN_MASK to be used instead.
      See Also:
        Constant Field Values

    - #### CTRL_MASK

          static final int CTRL_MASK

      The control key modifier constant. It is recommended that CTRL_DOWN_MASK to be used instead.
      See Also:
        Constant Field Values

    - #### META_MASK

          static final int META_MASK

      The meta key modifier constant. It is recommended that META_DOWN_MASK to be used instead.
      See Also:
        Constant Field Values

    - #### ALT_MASK

          static final int ALT_MASK

      The alt key modifier constant. It is recommended that ALT_DOWN_MASK to be used instead.
      See Also:
        Constant Field Values

    - #### ALT_GRAPH_MASK

          static final int ALT_GRAPH_MASK

      The alt-graph key modifier constant.
      See Also:
        Constant Field Values

    - #### BUTTON1_MASK

          static final int BUTTON1_MASK

      The mouse button1 modifier constant. It is recommended that BUTTON1_DOWN_MASK to be used instead.
      See Also:
        Constant Field Values

    - #### BUTTON2_MASK

          static final int BUTTON2_MASK

      The mouse button2 modifier constant. It is recommended that BUTTON2_DOWN_MASK to be used instead.
      See Also:
        Constant Field Values

    - #### BUTTON3_MASK

          static final int BUTTON3_MASK

      The mouse button3 modifier constant. It is recommended that BUTTON3_DOWN_MASK to be used instead.
      See Also:
        Constant Field Values

    - #### SHIFT_DOWN_MASK

          static final int SHIFT_DOWN_MASK

      The SHIFT key extended modifier constant.
      Since:
        1.4
      See Also:
        Constant Field Values

    - #### CTRL_DOWN_MASK

          static final int CTRL_DOWN_MASK

      The CTRL key extended modifier constant.
      Since:
        1.4
      See Also:
        Constant Field Values

    - #### META_DOWN_MASK

          static final int META_DOWN_MASK

      The META key extended modifier constant.
      Since:
        1.4
      See Also:
        Constant Field Values

    - #### ALT_DOWN_MASK

          static final int ALT_DOWN_MASK

      The ALT key extended modifier constant.
      Since:
        1.4
      See Also:
        Constant Field Values

    - #### BUTTON1_DOWN_MASK

          static final int BUTTON1_DOWN_MASK

      The mouse button1 extended modifier constant.
      Since:
        1.4
      See Also:
        Constant Field Values

    - #### BUTTON2_DOWN_MASK

          static final int BUTTON2_DOWN_MASK

      The mouse button2 extended modifier constant.
      Since:
        1.4
      See Also:
        Constant Field Values

    - #### BUTTON3_DOWN_MASK

          static final int BUTTON3_DOWN_MASK

      The mouse button3 extended modifier constant.
      Since:
        1.4
      See Also:
        Constant Field Values

    - #### ALT_GRAPH_DOWN_MASK

          static final int ALT_GRAPH_DOWN_MASK

      The alt-graph key extended modifier constant.
      Since:
        1.4
      See Also:
        Constant Field Values

    - #### JDK_1_3_MODIFIERS

          static final int JDK_1_3_MODIFIERS

      See Also:
        Constant Field Values

Copyright © 2002 - 2013 - Wolf Paulus - wolfpaulus.com. All rights reserved.